Package org.eclipse.emf.cdo.view

# Class CDOViewSet.CDOViewSetException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.view.CDOViewSet.CDOViewSetException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `CDOViewSet`

public static class CDOViewSet.CDOViewSetException extends CDOException
An unchecked `exception` being thrown from `view sets`.

Since:
  4.12
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CDOViewSetException()`
`CDOViewSetException(String message)`
`CDOViewSetException(String message, Throwable cause)`
`CDOViewSetException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDOViewSetException

public CDOViewSetException()

### CDOViewSetException

public CDOViewSetException(String message, Throwable cause)

### CDOViewSetException

public CDOViewSetException(String message)

### CDOViewSetException

public CDOViewSetException(Throwable cause)